
class UserSearch {
  String id;
  String username;
  String publicKey;

  UserSearch({
    required this.id,
    required this.username,
    required this.publicKey,
  });

  factory UserSearch.fromJson(Map<String, dynamic> json) {
    return UserSearch(
      id: json['id'],
      username: json['username'],
      publicKey: json['asymmetric_public_key'],
    );
  }
}
